Register Members List Search Today's Posts Mark Forums Read

Reply
 
Mod Options
IE6 Blocker - JQuery version Details »
IE6 Blocker - JQuery version
Mod Version: 1.00, by TheSupportForum (Coder/Designer) TheSupportForum is offline
Developer Last Online: May 2017 I like it Show Printable Version Email this Page

vB Version: 4.0.6 Rating: (4 votes - 4.50 average) Installs: 21
Released: 16 Aug 2010 Last Update: 17 Aug 2010 Downloads: 103
Not Supported Template Edits Additional Files  

Description:

compeletly block IE6 Users from browsing your forum, this is a jQuery version and works 100%.


How to Install:
1) Upload the contents into your forum root Folder
2) add 2 lines of code to Headinclude
Admincp>> Styles & Templates >> >> Style Manager >> All Style Options
Select Common Templates
you shoudl see 3 sections
Header
headinclude
footer

within headinclude after uploading all the content to your forum root folder
add the following code to the bottom of headinclude


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

the code should be below:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Example screenshot of what it looks like using my website www.ereptalk.co.uk

Download Now

Only licensed members can download files, Click Here for more information.

Supporters / CoAuthors

Show Your Support

  • To receive notifications regarding updates -> Click to Mark as Installed.
  • If you like this modification support the author by donating.
  • This modification may not be copied, reproduced or published elsewhere without author's permission.
Comments
  #2  
Old 16 Aug 2010, 21:56
TheSupportForum TheSupportForum is offline
 
Join Date: Jan 2007
ChangeLog:

17 Aug 2010 - Added Arabic Translation provided by Dr.osamA
__________________
http://www.multihunters.co.uk - all your coding needs

Last edited by TheSupportForum; 18 Aug 2010 at 09:44.
Reply With Quote
  #3  
Old 16 Aug 2010, 22:18
Dr.osamA's Avatar
Dr.osamA Dr.osamA is offline
 
Join Date: Aug 2004
Location: Syrie
Real name: Dr.osama
thanxx bro

good work

installed + 5 stars + translation to Arabic
__________________

Last edited by Dr.osamA; 18 Aug 2010 at 14:06.
Reply With Quote
  #4  
Old 19 Aug 2010, 22:42
Rich's Avatar
Rich Rich is offline
 
Join Date: Mar 2004
Real name: Rich
Why would you want to block IE6 users? That certainly doesn't make your website user friendly. I would go so far as to call this mod silly. You don't want to block any valid user from accessing your website.
__________________
Rich

Swapped 2 sites to Xenforo since vBulletin left me hanging for so long with the vB4 - PHP5 compatibility issues. Running PHP 5.5 with Xenforo with NO issues.
Reply With Quote
  #5  
Old 23 Aug 2010, 13:40
goran424's Avatar
goran424 goran424 is offline
 
Join Date: Feb 2010
Real name: Goran
Originally Posted by Rich View Post
Why would you want to block IE6 users? That certainly doesn't make your website user friendly. I would go so far as to call this mod silly. You don't want to block any valid user from accessing your website.
I thought the same but my forum looks real silly if you browsing with IE6. Hard to explain, only forum owners can see what difference makes viewing VB with IE6 or IE8.

To me, this modification is very useful. Thanks Doc Osama.
__________________
My HOME PAGE & FORUM

Reply With Quote
  #6  
Old 23 Aug 2010, 13:55
Paul M's Avatar
Paul M Paul M is offline
 
Join Date: Sep 2004
Real name: Paul M
Originally Posted by Rich View Post
Why would you want to block IE6 users? That certainly doesn't make your website user friendly. I would go so far as to call this mod silly. You don't want to block any valid user from accessing your website.
I agree with your point - blocking (just) IE6 seems a very poor decision and a good way to drive away visitors - however, this is a support thread, not the place to discuss the merits of such a system. Please start a thread in the discussion areas of the forum if you wish to discuss this. Thanks.
__________________

Cable Forum
Please do not PM me about custom work - I no longer undertake any.
Note: I will not answer support questions via e-mail or PM - please use the relevant thread or forum.
Reply With Quote
  #7  
Old 24 Aug 2010, 13:58
TheSupportForum TheSupportForum is offline
 
Join Date: Jan 2007
Originally Posted by goran424 View Post
I thought the same but my forum looks real silly if you browsing with IE6. Hard to explain, only forum owners can see what difference makes viewing VB with IE6 or IE8.

To me, this modification is very useful. Thanks Doc Osama.

i am the developer please remember Doc Osama is a contriburo for the arabic version
__________________
http://www.multihunters.co.uk - all your coding needs
Reply With Quote
  #8  
Old 20 Oct 2010, 19:04
ZeuQma's Avatar
ZeuQma ZeuQma is offline
 
Join Date: Jun 2008
Real name: Aydın Yakar
good idea we dont like ie6 or below version..
Reply With Quote
  #9  
Old 14 Jul 2011, 15:57
nezr's Avatar
nezr nezr is offline
 
Join Date: Jun 2011
I'm gonna try this to block spam bots!
Reply With Quote
  #10  
Old 14 Jul 2011, 23:38
Max Taxable's Avatar
Max Taxable Max Taxable is offline
 
Join Date: Feb 2011
Originally Posted by nezr View Post
I'm gonna try this to block spam bots!
It is very effective for that and also zombie computers that are part of botnets. Most all of those use IE 6 or earlier, that's how they got into the botnet to start with.

The percentage of legitimate humans using IE 6 or earlier continues to dwindle, it's not even worth entertaining them any more IMO. They need to get themselves a 21st Century browser.

If Microsoft really wanted to shut down 90% of all botnets, they would either cancel the user key on systems that have IE 6, or force-update these to the latest version of IE. This alone would probably stop 90% of DDoS attacks and spambots.
Reply With Quote
  #11  
Old 16 Jul 2011, 07:49
S3Ponline S3Ponline is offline
 
Join Date: May 2010
Why not something to help people.

What about some type of message that updates people on how old their browser is and to update it.

I want to phase out IE7 now as well.

http://wordpress.org/extend/plugins/no-more-ie6/

Something likes this. This would be great for IE6 and IE7. Also something that provides something that gives a link to a different type of forum style since some people can’t upgrade because they are coming on from work.

Also a way to recommend another browser like google chrome.

Last edited by S3Ponline; 16 Jul 2011 at 08:07.
Reply With Quote
  #12  
Old 16 Jul 2011, 22:06
Max Taxable's Avatar
Max Taxable Max Taxable is offline
 
Join Date: Feb 2011
Originally Posted by S3Ponline View Post
Why not something to help people.

What about some type of message that updates people on how old their browser is and to update it.

I want to phase out IE7 now as well.

Something likes this. This would be great for IE6 and IE7. Also something that provides something that gives a link to a different type of forum style since some people canít upgrade because they are coming on from work.

Also a way to recommend another browser like google chrome.
That's exactly what this vB hack does.

However as I said, there are very few human eyes that would actually see the message.
Reply With Quote
  #13  
Old 25 Jul 2011, 09:16
S3Ponline S3Ponline is offline
 
Join Date: May 2010
Originally Posted by Max Taxable View Post
That's exactly what this vB hack does.

However as I said, there are very few human eyes that would actually see the message.
well I donít want to block them, I just want them to see how screwed up everything is and update.

And your image file isnít showing so I couldnít see what the image would look like.
Reply With Quote
  #14  
Old 25 Jul 2011, 11:52
Max Taxable's Avatar
Max Taxable Max Taxable is offline
 
Join Date: Feb 2011
Originally Posted by S3Ponline View Post
well I donít want to block them, I just want them to see how screwed up everything is and update.

And your image file isnít showing so I couldnít see what the image would look like.
Well, it's not my image file, it's not my hack.

All this does is overlay a image over the board, explains you are using IE6 and says "We don't support it" and gives links to upgrade to either the latest version of IE or Firefox.

I doubt very many humans actually see it where it's installed. It's going to be botnet slave computers still using IE6 and earlier, in the vast majority.

Here's a screengrab from a board that has this:



I think we are well past the point of having anyone out there to offend. If there are any humans still using IE6, they need to get themselves a 21st Century browser, since we are in the 21st Century. They would be doing themselves a huge favor in getting rid of that wet paper sack, archaic dinosaur, piece of crap, IE6.
Reply With Quote
  #15  
Old 28 Jul 2011, 06:20
S3Ponline S3Ponline is offline
 
Join Date: May 2010
Ah, that’s not bad.

How can I get something that detects IE7 browsers too? Things a piece of junk as well.
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Mod Options

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


New To Site? Need Help?

All times are GMT. The time now is 17:33.

Layout Options | Width: Wide Color: